### Function

# Gimp edit_cut

#### Declaration [src]

    gboolean
    gimp_edit_cut (
      gint num_drawables,
      const GimpItem** drawables
    )

#### Description [src]

Cut from the specified drawables.

If there is a selection in the image, then the area specified by the selection is cut from the specified drawables and placed in an internal GIMP edit buffer. It can subsequently be retrieved using the `gimp_edit_paste()` command. If there is no selection and only one specified drawable, then the specified drawable will be removed and its contents stored in the internal GIMP edit buffer. This procedure will fail if the selected area lies completely outside the bounds of the current drawables and there is nothing to cut from.

#### Parameters

`num_drawables` | `gint`
| The number of drawables.
`drawables` | An array of `None`
| The drawables to cut from.
| The length of the array is specified in the `num_drawables` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE if the cut was successful, FALSE if there was nothing to copy from.